/**Begin D:\PDM_UPGRADE\PDM_NEW\BOS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ORG_CHANGERECORD') 
 CREATE TABLE T_ORG_CHANGERECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCHANGETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FEXECUTIONSTATUS NVARCHAR(30) DEFAULT 'A' NOT NULL,
FEXECUTIONDATE DATETIME,
FRESULT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTOTALCOUNT INT DEFAULT 0 NOT NULL,
FSUCCESSCOUNT INT DEFAULT 0 NOT NULL,
FFAILCOUNT INT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ORG_CHANGERECORD_L') 
 CREATE TABLE T_ORG_CHANGERECORD_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ORG_CHANGEENTRY') 
 CREATE TABLE T_ORG_CHANGEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FHANDOVERORGID BIGINT DEFAULT 0 NOT NULL,
FOLDPARENTORGID BIGINT DEFAULT 0 NOT NULL,
FPARENTORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FVIEWID BIGINT DEFAULT 0 NOT NULL,
FBIZID BIGINT DEFAULT 0 NOT NULL,
FDETAILSTATUS NVARCHAR(30) DEFAULT 'A' NOT NULL,
FDETAILRESULT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ORG_CHANGECHECKENTRY') 
 CREATE TABLE T_ORG_CHANGECHECKENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEVENTID BIGINT DEFAULT 0 NOT NULL,
FCHECKSTATUS NVARCHAR(30) DEFAULT 'A' NOT NULL,
FCHECKRESULT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ORG_CHANGECHECKDETAIL') 
 CREATE TABLE T_ORG_CHANGECHECKDETAIL (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTITYID VARCHAR(30) DEFAULT ' ' NOT NULL,
FBDNUMBER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSOLUTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREASON NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM_NEW\BOS_table.sql **/
